> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Describe stats

> Describe available stats schema. Without resource returns root nodes and metrics. With resource returns node columns, associations, and available metrics.

Required permissions:
 - `stats:read`



## OpenAPI

````yaml /openapi/api-v1-stable.json get /stats/describe
openapi: 3.1.0
info:
  description: >-
    The Whop REST API. Please see
    https://docs.whop.com/developer/api/getting-started for more details.
  termsOfService: https://whop.com/tos-developer-api/
  title: Whop API
  version: 1.0.0
  x-api-version-date: '2026-08-21'
servers:
  - description: Production Whop API
    url: https://api.whop.com/api/v1
  - description: Sandbox Whop API
    url: https://sandbox-api.whop.com/api/v1
security: []
tags:
  - description: Products
    name: Products
  - description: Payments
    name: Payments
  - description: Refunds
    name: Refunds
  - description: Disputes
    name: Disputes
  - description: Dispute alerts
    name: Dispute alerts
  - description: Resolution center cases
    name: Resolution center cases
  - description: Checkout configurations
    name: Checkout configurations
  - description: Setup intents
    name: Setup intents
  - description: Payment methods
    name: Payment methods
  - description: Invoices
    name: Invoices
  - description: Promo codes
    name: Promo codes
  - description: Card transactions
    name: Card transactions
  - description: Ledger accounts
    name: Ledger accounts
  - description: Withdrawals
    name: Withdrawals
  - description: Payout methods
    name: Payout methods
  - description: Verifications
    name: Verifications
  - description: Identity profiles
    name: Identity profiles
  - description: Payout accounts
    name: Payout accounts
  - description: Topups
    name: Topups
  - description: Companies
    name: Companies
  - description: Authorized users
    name: Authorized users
  - description: Fee markups
    name: Fee markups
  - description: Members
    name: Members
  - description: Memberships
    name: Memberships
  - description: Leads
    name: Leads
  - description: Entries
    name: Entries
  - description: Shipments
    name: Shipments
  - description: Reviews
    name: Reviews
  - description: Company token transactions
    name: Company token transactions
  - description: Affiliates
    name: Affiliates
  - description: Experiences
    name: Experiences
  - description: Forums
    name: Forums
  - description: Forum posts
    name: Forum posts
  - description: Chat channels
    name: Chat channels
  - description: Support channels
    name: Support channels
  - description: Messages
    name: Messages
  - description: Reactions
    name: Reactions
  - description: Dm members
    name: Dm members
  - description: Dm channels
    name: Dm channels
  - description: Notifications
    name: Notifications
  - description: Courses
    name: Courses
  - description: Course chapters
    name: Course chapters
  - description: Course lessons
    name: Course lessons
  - description: Course students
    name: Course students
  - description: Course lesson interactions
    name: Course lesson interactions
  - description: Apps
    name: Apps
  - description: Webhooks
    name: Webhooks
  - description: App builds
    name: App builds
  - description: Access tokens
    name: Access tokens
  - description: Account links
    name: Account links
  - description: Files
    name: Files
  - description: Ai chats
    name: Ai chats
  - description: Bounties
    name: Bounties
  - description: Stats
    name: Stats
  - description: Conversions
    name: Conversions
  - description: Ad reports
    name: Ad reports
paths:
  /stats/describe:
    get:
      tags:
        - Stats
      summary: Describe stats
      description: >-
        Describe available stats schema. Without resource returns root nodes and
        metrics. With resource returns node columns, associations, and available
        metrics.


        Required permissions:
         - `stats:read`
      operationId: describeStats
      parameters:
        - explode: true
          in: query
          name: resource
          required: false
          schema:
            description: >-
              Resource path using : as separator (e.g., 'receipts',
              'payments:membership', 'receipts:gross_revenue').
            type: string
          style: form
        - explode: true
          in: query
          name: company_id
          required: false
          schema:
            description: Scope query to a specific company.
            example: biz_xxxxxxxxxxxxxx
            type: string
          style: form
        - explode: true
          in: query
          name: user_id
          required: false
          schema:
            description: Scope query to a specific user.
            example: user_xxxxxxxxxxxxx
            type: string
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                discriminator:
                  propertyName: typename
                oneOf:
                  - description: >-
                      Root schema description showing available nodes, views,
                      and metrics.
                    properties:
                      debug:
                        description: Debug information.
                        properties:
                          request_id:
                            description: Unique request identifier for debugging.
                            type:
                              - string
                              - 'null'
                        required:
                          - request_id
                        type:
                          - object
                          - 'null'
                      metrics:
                        description: Available metrics.
                        items:
                          description: A metric available for querying.
                          properties:
                            name:
                              description: The metric name.
                              type: string
                            node_path:
                              description: The node path this metric operates on.
                              type: string
                            supported_engines:
                              description: Query engines that support this metric.
                              items:
                                description: >-
                                  Represents textual data as UTF-8 character
                                  sequences. This type is most often used by
                                  GraphQL to represent free-form human-readable
                                  text.
                                type: string
                              type: array
                          required:
                            - name
                            - node_path
                            - supported_engines
                          type: object
                        type: array
                      nodes:
                        description: Available root nodes.
                        items:
                          description: >-
                            Represents textual data as UTF-8 character
                            sequences. This type is most often used by GraphQL
                            to represent free-form human-readable text.
                          type: string
                        type: array
                      typename:
                        const: DescribeRoot
                        description: The typename of this object
                        type: string
                      views:
                        description: Available API resource views.
                        items:
                          description: >-
                            Represents textual data as UTF-8 character
                            sequences. This type is most often used by GraphQL
                            to represent free-form human-readable text.
                          type: string
                        type: array
                    required:
                      - typename
                      - nodes
                      - views
                      - metrics
                      - debug
                    title: DescribeRoot
                    type:
                      - object
                      - 'null'
                  - description: >-
                      Description of a node (model) including its columns and
                      associations.
                    properties:
                      associations:
                        description: Available associations or child paths.
                        items:
                          description: >-
                            An association or child path available for
                            navigation.
                          properties:
                            event_name:
                              description: The event name (for event type).
                              type:
                                - string
                                - 'null'
                            model:
                              description: >-
                                The associated model class name (for model
                                associations).
                              type:
                                - string
                                - 'null'
                            name:
                              description: The association name.
                              type: string
                            path:
                              description: The full path (for event associations).
                              type:
                                - string
                                - 'null'
                            type:
                              description: >-
                                The type (belongs_to, has_many, has_one, event,
                                namespace).
                              type: string
                          required:
                            - name
                            - type
                            - model
                            - path
                            - event_name
                          type: object
                        type: array
                      columns:
                        description: Available columns.
                        items:
                          description: >-
                            Represents textual data as UTF-8 character
                            sequences. This type is most often used by GraphQL
                            to represent free-form human-readable text.
                          type: string
                        type: array
                      debug:
                        description: Debug information.
                        properties:
                          request_id:
                            description: Unique request identifier for debugging.
                            type:
                              - string
                              - 'null'
                        required:
                          - request_id
                        type:
                          - object
                          - 'null'
                      engine:
                        description: The query engine being used.
                        type: string
                      metrics:
                        description: Available metrics for this node.
                        items:
                          description: A metric available for querying.
                          properties:
                            name:
                              description: The metric name.
                              type: string
                            node_path:
                              description: The node path this metric operates on.
                              type: string
                            supported_engines:
                              description: Query engines that support this metric.
                              items:
                                description: >-
                                  Represents textual data as UTF-8 character
                                  sequences. This type is most often used by
                                  GraphQL to represent free-form human-readable
                                  text.
                                type: string
                              type: array
                          required:
                            - name
                            - node_path
                            - supported_engines
                          type: object
                        type: array
                      node:
                        description: The node path being described.
                        type: string
                      sample:
                        description: Sample data rows.
                        items:
                          additionalProperties: true
                          description: Represents untyped JSON
                          type: object
                        type:
                          - array
                          - 'null'
                      sortable_columns:
                        description: Columns that can be used for sorting.
                        items:
                          description: >-
                            Represents textual data as UTF-8 character
                            sequences. This type is most often used by GraphQL
                            to represent free-form human-readable text.
                          type: string
                        type: array
                      typename:
                        const: DescribeNode
                        description: The typename of this object
                        type: string
                    required:
                      - typename
                      - node
                      - engine
                      - columns
                      - sortable_columns
                      - associations
                      - metrics
                      - sample
                      - debug
                    title: DescribeNode
                    type:
                      - object
                      - 'null'
                  - description: >-
                      Description of a metric including its configuration and
                      SQL.
                    properties:
                      breakdownable_columns:
                        description: Columns that can be used for breakdowns.
                        items:
                          description: >-
                            Represents textual data as UTF-8 character
                            sequences. This type is most often used by GraphQL
                            to represent free-form human-readable text.
                          type: string
                        type: array
                      debug:
                        description: Debug information.
                        properties:
                          request_id:
                            description: Unique request identifier for debugging.
                            type:
                              - string
                              - 'null'
                        required:
                          - request_id
                        type:
                          - object
                          - 'null'
                      engine:
                        description: The query engine being used.
                        type: string
                      filterable_columns:
                        description: Columns that can be used for filtering.
                        items:
                          description: >-
                            Represents textual data as UTF-8 character
                            sequences. This type is most often used by GraphQL
                            to represent free-form human-readable text.
                          type: string
                        type: array
                      metric:
                        description: The metric name.
                        type: string
                      node:
                        description: The node path this metric operates on.
                        type: string
                      sql:
                        description: The generated SQL query.
                        type:
                          - string
                          - 'null'
                      supported_engines:
                        description: Query engines that support this metric.
                        items:
                          description: >-
                            Represents textual data as UTF-8 character
                            sequences. This type is most often used by GraphQL
                            to represent free-form human-readable text.
                          type: string
                        type: array
                      timestamp_column:
                        description: The timestamp column used for time filtering.
                        type: string
                      typename:
                        const: DescribeMetric
                        description: The typename of this object
                        type: string
                    required:
                      - typename
                      - metric
                      - node
                      - engine
                      - timestamp_column
                      - supported_engines
                      - filterable_columns
                      - breakdownable_columns
                      - sql
                      - debug
                    title: DescribeMetric
                    type:
                      - object
                      - 'null'
                  - description: >-
                      Description of an API resource view including its columns
                      and associations.
                    properties:
                      associations:
                        description: Available associations.
                        items:
                          description: >-
                            An association or child path available for
                            navigation.
                          properties:
                            event_name:
                              description: The event name (for event type).
                              type:
                                - string
                                - 'null'
                            model:
                              description: >-
                                The associated model class name (for model
                                associations).
                              type:
                                - string
                                - 'null'
                            name:
                              description: The association name.
                              type: string
                            path:
                              description: The full path (for event associations).
                              type:
                                - string
                                - 'null'
                            type:
                              description: >-
                                The type (belongs_to, has_many, has_one, event,
                                namespace).
                              type: string
                          required:
                            - name
                            - type
                            - model
                            - path
                            - event_name
                          type: object
                        type: array
                      columns:
                        description: Available columns.
                        items:
                          description: >-
                            Represents textual data as UTF-8 character
                            sequences. This type is most often used by GraphQL
                            to represent free-form human-readable text.
                          type: string
                        type: array
                      debug:
                        description: Debug information.
                        properties:
                          request_id:
                            description: Unique request identifier for debugging.
                            type:
                              - string
                              - 'null'
                        required:
                          - request_id
                        type:
                          - object
                          - 'null'
                      engine:
                        description: The query engine being used.
                        type: string
                      metrics:
                        description: Available metrics.
                        items:
                          description: A metric available for querying.
                          properties:
                            name:
                              description: The metric name.
                              type: string
                            node_path:
                              description: The node path this metric operates on.
                              type: string
                            supported_engines:
                              description: Query engines that support this metric.
                              items:
                                description: >-
                                  Represents textual data as UTF-8 character
                                  sequences. This type is most often used by
                                  GraphQL to represent free-form human-readable
                                  text.
                                type: string
                              type: array
                          required:
                            - name
                            - node_path
                            - supported_engines
                          type: object
                        type: array
                      model:
                        description: The underlying model class.
                        type: string
                      resource:
                        description: The API resource name.
                        type: string
                      sample:
                        description: Sample data rows.
                        items:
                          additionalProperties: true
                          description: Represents untyped JSON
                          type: object
                        type:
                          - array
                          - 'null'
                      sortable_columns:
                        description: Columns that can be used for sorting.
                        items:
                          description: >-
                            Represents textual data as UTF-8 character
                            sequences. This type is most often used by GraphQL
                            to represent free-form human-readable text.
                          type: string
                        type: array
                      typename:
                        const: DescribeView
                        description: The typename of this object
                        type: string
                      view:
                        description: The view name being described.
                        type: string
                    required:
                      - typename
                      - view
                      - resource
                      - model
                      - engine
                      - columns
                      - sortable_columns
                      - associations
                      - metrics
                      - sample
                      - debug
                    title: DescribeView
                    type:
                      - object
                      - 'null'
                type: object
          description: A successful response
        '400':
          content:
            application/json:
              example:
                error:
                  code: parameter_missing
                  message: 'Missing required parameter: amount.'
                  param: amount
                  type: invalid_request_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Bad request
        '401':
          content:
            application/json:
              example:
                error:
                  message: Invalid or missing API key
                  type: unauthorized
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Unauthorized
        '403':
          content:
            application/json:
              example:
                error:
                  message: You do not have permission to access this resource
                  type: forbidden
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Forbidden
        '404':
          content:
            application/json:
              example:
                error:
                  message: Resource not found
                  type: not_found
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Not found
        '422':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Verification required
        '429':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Too many requests
        '500':
          content:
            application/json:
              example:
                error:
                  message: An unexpected error occurred
                  type: internal_server_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Internal server error
      security:
        - bearerAuth:
            - stats:read
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        An Account API key, account-scoped JWT, App API key, or user OAuth
        token. Prepend the key or token with `Bearer`, for example `Bearer
        ***************************`.
      scheme: bearer
      type: http

````